Forum: Rails-ES Intentando levantar otro WEBrick en otro puerto Mysql::Error

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Akena T. (Guest)
on 2009-06-04 14:54
Antes que nada saludar a todos, este es mi primer post aqui.

Tengo una aplicacion corriendo en WEBrick sin problemas con el puerto
por defecto 3000, ahora he creado otra aplicacion que quiero usar, por
lo que he leido lo he probado a levantar desde otro puerto:

ruby script/server -p 4000

Pero obtengo el siguiente error:

=> Booting WEBrick...
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/connection_adapters/abstract_adapter.rb:120:in
`log': Mysql::Error: Lost connection to MySQL server during query: SHOW
FIELDS FROM globalize_languages (ActiveRecord::StatementInvalid)
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/connection_adapters/mysql_adapter.rb:184:in
`execute'
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/connection_adapters/mysql_adapter.rb:292:in
`columns'
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/base.rb:696:in
`columns'
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/base.rb:709:in
`column_names'
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/base.rb:722:in
`column_methods_hash'
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/base.rb:1158:in
`all_attributes_exists?'
        from
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:140:in
`all?'
        from
/usr/local/lib/ruby/gems/1.8/gems/activerecord-1.14.4/lib/active_record/base.rb:1158:in
`each'
         ... 15 levels...
        from
/usr/local/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/server.rb:30
        from
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
        from
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require'
        from script/server:3

Por lo que he podido analizar parece que coge la config de la otra
aplicacion, he comprobado el archivo de conexion que tengo con esta
aplicacion para la db y es correcta.

Alguna sugerencia?

S@|u2.
This topic is locked and can not be replied to.